### Function

# Camel UIDCache new

#### Declaration [src]

    CamelUIDCache*
    camel_uid_cache_new (
      const gchar* filename
    )

#### Description [src]

Creates a new UID cache, initialized from `filename`. If `filename` doesn’t already exist, the UID cache will be empty. Otherwise, if it does exist but can’t be read, the function will return `NULL`.

This function is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const gchar*`

  Path to load the cache from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelUIDCache`

A new UID cache, or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.